--- /dev/null
+++ b/tests/test_functional/nose_tools.py
@@ -0,0 +1,10 @@
+import pytest
+
+def eq_(a, b):
+    assert a == b
+
+def assert_raises(exc, func, *args, **kwargs):
+    pytest.raises(exc, func, *args, **kwargs)
+
+def assert_is_none(val):
+    assert val is None
--- a/tests/test_functional/test_explicit_use.py
+++ b/tests/test_functional/test_explicit_use.py
@@ -1,6 +1,6 @@
 """test_explicit_use"""
 import os, sys, time, unittest
-from nose.tools import eq_, assert_raises, assert_is_none
+from .nose_tools import eq_, assert_raises, assert_is_none
 
 from routes import *
 from routes.route import Route
--- a/tests/test_functional/test_generation.py
+++ b/tests/test_functional/test_generation.py
@@ -2,7 +2,7 @@
 import sys, time, unittest
 from six.moves import urllib
 
-from nose.tools import eq_, assert_raises
+from .nose_tools import eq_, assert_raises
 from routes import *
 
 class TestGeneration(unittest.TestCase):
--- a/tests/test_functional/test_middleware.py
+++ b/tests/test_functional/test_middleware.py
@@ -1,7 +1,7 @@
 from routes import Mapper
 from routes.middleware import RoutesMiddleware
 from webtest import TestApp
-from nose.tools import eq_
+from .nose_tools import eq_
 
 def simple_app(environ, start_response):
     route_dict = environ['wsgiorg.routing_args'][1]
--- a/tests/test_functional/test_nonminimization.py
+++ b/tests/test_functional/test_nonminimization.py
@@ -1,7 +1,7 @@
 """Test non-minimization recognition"""
 from six.moves import urllib
 
-from nose.tools import eq_
+from .nose_tools import eq_
 
 from routes import url_for
 from routes.mapper import Mapper
--- a/tests/test_functional/test_recognition.py
+++ b/tests/test_functional/test_recognition.py
@@ -4,7 +4,7 @@
 import time
 import unittest
 from six.moves import urllib
-from nose.tools import eq_, assert_raises
+from .nose_tools import eq_, assert_raises
 from routes import *
 from routes.util import RoutesException
 
--- a/tests/test_functional/test_resources.py
+++ b/tests/test_functional/test_resources.py
@@ -1,6 +1,6 @@
 """test_resources"""
 import unittest
-from nose.tools import eq_, assert_raises
+from .nose_tools import eq_, assert_raises
 
 from routes import *
 
--- a/tests/test_functional/test_submapper.py
+++ b/tests/test_functional/test_submapper.py
@@ -1,6 +1,6 @@
 """test_resources"""
 import unittest
-from nose.tools import eq_, assert_raises
+from .nose_tools import eq_, assert_raises
 
 from routes import *
 
--- a/tests/test_functional/test_utils.py
+++ b/tests/test_functional/test_utils.py
@@ -1,6 +1,6 @@
 """test_utils"""
 import os, sys, time, unittest
-from nose.tools import eq_, assert_raises
+from .nose_tools import eq_, assert_raises
 
 from routes.util import controller_scan, GenerationException
 from routes import *
